import { server } from "@/utils/client";

export interface WithDrawType {
    id: number;
    name: string;
    start_time: string;
    end_time: string;
    channels?: ChannelType[];
    /**
     * 最大充值金额
     */
    max_amount: number;
    /**
     * 最小充值金额
     */
    min_amount: number;
}

export interface ChannelType {
    /**
     * 编号
     */
    id: number;

    /**
     * 渠道名称
     */
    name: string;
    products: Product[];
    /**
     * 跳转类型：1 iframe 2外链
     */
    redirect_type?: number;
    /**
     * 租户编号
     */
    renter_id: number;
    /**
     * 提示信息
     */
    tips: string;
    type: 1 | 2 | 3 | 4;
}

export interface Product {
    /**
     * 金额
     */
    amount: number;
    /**
     * 角标：0无，1为Hot
     */
    badge: number;
}
// 前台用户提现申请
// POST /v1/api/user/user_withdraw
// 接口ID：199611379
// 接口地址：https://app.apifox.com/link/project/4790544/apis/api-199611379

export interface WithDrawParams {
    /**
     * 提现账户
     */
    account_no: string;
    amount: number;
    /**
     * 渠道编号
     */
    channel_id: number;
    /**
     * 用户身份信息
     */
    passport: string;
    /**
     * 用户名称
     */
    user_name: string;
}

export const getWithDrawApi = (data: WithDrawParams) => {
    return server.post({
        url: "/v1/api/user/user_withdraw",
        data,
    });
};
