import Box from "@/components/Box";
import HeaderBack from "@/components/HeaderBack";
import { getTranslations } from "next-intl/server";

const PreventLaunderMoney = async () => {
    const t = await getTranslations("preventLaunderMoney");
    return (
        <>
            <HeaderBack />
            <main className={"main-header"}>
                <Box>
                    <header className={"font-bold"}>{t("time")}</header>

                    <h2 className={"font-bold text-[#fcde26]"}>{t("policy")}</h2>
                    <p>{t("policyDesc")}</p>
                    <ul className={"pl-[0.18rem]"}>
                        <li className={"my-[0.05rem] list-disc"}>{t("policyDescFirst")}</li>
                        <li className={"my-[0.05rem] list-disc"}>{t("policyDescSecond")}</li>
                        <li className={"my-[0.05rem] list-disc"}>{t("policyDescThird")}</li>
                    </ul>

                    <h2 className={"font-bold text-[#fcde26]"}>{t("introduction")}</h2>
                    <p className={""}>{t("introductionDesc")}</p>

                    <h2 className={"font-bold text-[#fcde26]"}>{t("companyProcedures")}</h2>
                    <p>{t("companyProceduresDesc")}</p>
                    <ul className={"pl-[0.18rem]"}>
                        <li className={"my-[0.05rem] list-disc"}>
                            {t("companyProceduresDescFirst")}
                        </li>
                        <li className={"my-[0.05rem] list-disc"}>
                            {t("companyProceduresDescSecond")}
                        </li>
                    </ul>
                    <p>{t("companyProceduresDescThird")}</p>

                    <h2 className={"font-bold text-[#fcde26]"}>{t("additionalTerms")}</h2>
                    <p>{t("additionalTermsDesc")}</p>

                    <ul className={"pl-[0.18rem]"}>
                        <li className={"my-[0.05rem] list-disc"}>
                            {t("additionalTermsDescFirst")}
                        </li>
                        <li className={"my-[0.05rem] list-disc"}>
                            {t("additionalTermsDescSecond")}
                        </li>
                        <li className={"my-[0.05rem] list-disc"}>
                            {t("additionalTermsDescThird")}
                        </li>

                        <li className={"my-[0.05rem] list-disc"}>
                            {t("additionalTermsDescFourth")}
                        </li>

                        <li className={"my-[0.05rem] list-disc"}>
                            {t("additionalTermsDescFifth")}
                        </li>
                    </ul>

                    <h2 className={"font-bold text-[#fcde26]"}>{t("recordKeeping")}</h2>
                    <p>{t("recordKeepingDesc")}</p>
                    <ul className={"pl-[0.18rem]"}>
                        <li className={"my-[0.05rem] list-disc"}>{t("recordKeepingDescFirst")}</li>
                        <li className={"my-[0.05rem] list-disc"}>{t("recordKeepingDescSecond")}</li>
                    </ul>
                    <p className={"whitespace-pre-line"}>{t.rich("recordKeepingDescThird")}</p>
                </Box>
            </main>
        </>
    );
};

export default PreventLaunderMoney;
