import clsx from "clsx";
import { useTranslations } from "next-intl";
import { FC, PropsWithChildren } from "react";
import styles from "./style.module.scss";

/**
 * @description 域名说明Footer组件
 * @param {any} children 插槽内容
 */
export interface DomainFooterProps {
    children?: any;
    [props: string]: any;
}

const DomainFooter: FC<PropsWithChildren<DomainFooterProps>> = () => {
    const t = useTranslations("LoginPage");
    const spanClassName = clsx(
        {
            [styles.iconfontIcon]: true,
        },
        "iconfont icon-a-18"
    );
    return (
        <div className={"h-[0.81rem]"}>
            <div className={styles["footer-box"]}>
                <div className={styles.text}>
                    <span>{t("domainName")}</span>
                    {/*<span className={spanClassName}></span>*/}
                </div>
            </div>
        </div>
    );
};

export default DomainFooter;
